Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## transformation.associationtags.buttonlisteners
Class EditOKButtonListener

    java.lang.Object
      transformation.associationtags.buttonlisteners.EditOKButtonListener

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class EditOKButtonListener

extends java.lang.Object
implements java.awt.event.ActionListener

Constructor Summary
`EditOKButtonListener(javax.swing.JComboBox protectedAction, javax.swing.JTextField user, javax.swing.JComboBox role, DiagramExtension diagramExtension, AssociationTagWindow window, java.util.List<AssociationTag> tags, int index)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Saves the changes made to an association tag in the editing form.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditOKButtonListener

    public EditOKButtonListener(javax.swing.JComboBox protectedAction,
                                javax.swing.JTextField user,
                                javax.swing.JComboBox role,
                                DiagramExtension diagramExtension,
                                AssociationTagWindow window,
                                java.util.List<AssociationTag> tags,
                                int index)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Saves the changes made to an association tag in the editing form. The changes are saved only in the visible list (not on the model)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD